<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('functions_func_o.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_o" name="index_o"></a>- o -</h3><ul>
<li>OnClick()&#160;:&#160;<a class="el" href="class_canvas_sample_save_file_image.html#ac44f540cda2b561541bc49c04ad03606">CanvasSampleSaveFileImage</a>, <a class="el" href="class_canvas_sample_save_file_text.html#a770b064430123885c765ce0a7a907801">CanvasSampleSaveFileText</a></li>
<li>OnCompleted()&#160;:&#160;<a class="el" href="struct_unity_web_request_awaiter.html#adf33bb1d9f8c603bb80346932e2bade8">UnityWebRequestAwaiter</a></li>
<li>OnComponentUpdated()&#160;:&#160;<a class="el" href="class_vivian_components_1_1_button.html#aba04a96e286eb6ecfac29abd515418f5">VivianComponents.Button</a>, <a class="el" href="class_vivian_components_1_1_vivian_component.html#a35e6dbed2cede167990a3e79c064ddc3">VivianComponents.VivianComponent</a></li>
<li>OnDestroy()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_unloader.html#aae2230765ff347d9e62aaafadb7998ae">TriLib.AssetUnloader</a>, <a class="el" href="class_tri_lib_editor_1_1_tri_lib_asset_editor.html#a691205fe4733720c25a7361b03df2d59">TriLibEditor.TriLibAssetEditor</a></li>
<li>OnDisable()&#160;:&#160;<a class="el" href="class_tri_lib_editor_1_1_tri_lib_asset_editor.html#a1acf14f1f7533e34069ca56957307bfd">TriLibEditor.TriLibAssetEditor</a></li>
<li>OnDoxygenFinished()&#160;:&#160;<a class="el" href="class_doxygen_window.html#a2809a93b756a6cfc371ee76a9d7168d7">DoxygenWindow</a></li>
<li>OnEnable()&#160;:&#160;<a class="el" href="class_tri_lib_editor_1_1_tri_lib_asset_editor.html#accba990df0370cfc5ff543de0c1021ce">TriLibEditor.TriLibAssetEditor</a></li>
<li>OnGUI()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_downloader.html#abc2b6623f6c65be1ba63305baa4cf69d">TriLib.AssetDownloader</a>, <a class="el" href="class_tri_lib_1_1_extras_1_1_avatar_loader_sample.html#a9c1f7bd905a7c39ed1d22caa5a1f607a">TriLib.Extras.AvatarLoaderSample</a></li>
<li>OnInspectorGUI()&#160;:&#160;<a class="el" href="class_tri_lib_editor_1_1_assimp_metadata_collection_editor.html#a9d0c3686d391d9ab089388cd90c8572d">TriLibEditor.AssimpMetadataCollectionEditor</a>, <a class="el" href="class_tri_lib_editor_1_1_avatar_loader_sample_editor.html#a4a50800c1ee7ca0a5b874dd7ac66438b">TriLibEditor.AvatarLoaderSampleEditor</a>, <a class="el" href="class_tri_lib_editor_1_1_tri_lib_asset_editor.html#aa362638f1eeae8ca89dda006e0f559b9">TriLibEditor.TriLibAssetEditor</a></li>
<li>OnInteractivePreviewGUI()&#160;:&#160;<a class="el" href="class_tri_lib_editor_1_1_tri_lib_asset_editor.html#a56f56be49ded0bcb4c057fa5318a139e">TriLibEditor.TriLibAssetEditor</a></li>
<li>OnLook()&#160;:&#160;<a class="el" href="interface_controls_1_1_i_player_actions.html#a30f5d762131cfb7e9c5e2b030c2f0006">Controls.IPlayerActions</a></li>
<li>OnPointerDown()&#160;:&#160;<a class="el" href="class_canvas_sample_open_file_image.html#a43d0a69cdf735e3983324241a01d4ae6">CanvasSampleOpenFileImage</a>, <a class="el" href="class_canvas_sample_open_file_text.html#abfb137b6cb921710ae981b4ac2c3061f">CanvasSampleOpenFileText</a>, <a class="el" href="class_canvas_sample_open_file_text_multiple.html#a366a925b9763a75807e9b35cd7a8a3dc">CanvasSampleOpenFileTextMultiple</a>, <a class="el" href="class_canvas_sample_save_file_image.html#a88508e06f663a5654aa83c8c63aa6403">CanvasSampleSaveFileImage</a>, <a class="el" href="class_canvas_sample_save_file_text.html#a0f3c4f707629d7bc1cd5442e43c0259e">CanvasSampleSaveFileText</a></li>
<li>OnPostprocessAllAssets()&#160;:&#160;<a class="el" href="class_tri_lib_editor_1_1_tri_lib_asset_post_processor.html#a8407c306bea47fbb530148126ff9e21a">TriLibEditor.TriLibAssetPostProcessor</a></li>
<li>OnPostprocessBuild()&#160;:&#160;<a class="el" href="class_tri_lib_editor_1_1_tri_lib_check_plugins.html#ac32d9105daec5b7cb36e7f1efc839f3b">TriLibEditor.TriLibCheckPlugins</a></li>
<li>OnPrefabCreated()&#160;:&#160;<a class="el" href="class_tri_lib_editor_1_1_tri_lib_asset_editor.html#abce94c136911f9b7aab1886fbb2a067c">TriLibEditor.TriLibAssetEditor</a></li>
<li>OnPreprocessBuild()&#160;:&#160;<a class="el" href="class_tri_lib_editor_1_1_tri_lib_check_plugins.html#a552e34d4ad7d7eb284e82e9d12756471">TriLibEditor.TriLibCheckPlugins</a></li>
<li>OnPreRender()&#160;:&#160;<a class="el" href="classcakeslice_1_1_outline_effect.html#a32ee95e0264021d90bdcf79d247315b6">cakeslice.OutlineEffect</a></li>
<li>OnSelect()&#160;:&#160;<a class="el" href="interface_controls_1_1_i_player_actions.html#ae907a73789861621d4d97fdf3d04daef">Controls.IPlayerActions</a>, <a class="el" href="class_tri_lib_1_1_samples_1_1_animation_text.html#a42910a33fc9dab1ce31508b350b6d631">TriLib.Samples.AnimationText</a>, <a class="el" href="class_tri_lib_1_1_samples_1_1_file_text.html#adc029561d4fc912fc82348879eb6e3eb">TriLib.Samples.FileText</a></li>
<li>OnValueChange()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_samples_1_1_blend_shape_control.html#a11ab6c36c38919a4055bd5faac019c31">TriLib.Samples.BlendShapeControl</a></li>
<li>OnZoom()&#160;:&#160;<a class="el" href="interface_controls_1_1_i_player_actions.html#ab33e60ad57f8867d78680f3994594bce">Controls.IPlayerActions</a></li>
<li>OpenFilePanel()&#160;:&#160;<a class="el" href="interface_s_f_b_1_1_i_standalone_file_browser.html#a3410fc64e2c772d1821d6f26aaf7897f">SFB.IStandaloneFileBrowser</a>, <a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#a2997480c9b991331b387093d13a59f71">SFB.StandaloneFileBrowser</a></li>
<li>OpenFilePanelAsync()&#160;:&#160;<a class="el" href="interface_s_f_b_1_1_i_standalone_file_browser.html#a1ac00f91d78216c802bac22df3832777">SFB.IStandaloneFileBrowser</a>, <a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#a38e000304344919eaed7a56aecc87451">SFB.StandaloneFileBrowser</a></li>
<li>OpenFolderPanel()&#160;:&#160;<a class="el" href="interface_s_f_b_1_1_i_standalone_file_browser.html#a37f6b13afb524881a2f3e8dc1fe1f65d">SFB.IStandaloneFileBrowser</a>, <a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#a3f822186c7a5f370956beb09393c56a4">SFB.StandaloneFileBrowser</a></li>
<li>OpenFolderPanelAsync()&#160;:&#160;<a class="el" href="interface_s_f_b_1_1_i_standalone_file_browser.html#a9b622de6b01c716eff7eaee955b59a36">SFB.IStandaloneFileBrowser</a>, <a class="el" href="class_s_f_b_1_1_standalone_file_browser.html#a1f182fc5c700ecad75fb2c00c4f7ca62">SFB.StandaloneFileBrowser</a></li>
<li>operator InputActionMap()&#160;:&#160;<a class="el" href="struct_controls_1_1_player_actions.html#abcbb4fc2a27f5f40791415d3cfb64288">Controls.PlayerActions</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
